Page MenuHomePhabricator

Add title attribute to opt-out link
Closed, ResolvedPublic2 Estimated Story Points

Description

Description

The newly added opt-out link in the sidebar (T243281) is currently missing a title attribute. Title attributes allow people (and possibly screen readers?) to learn more about a link when hovering over it.

Suggested text: Change your settings to go back to the old look of the skin (legacy Vector)"

QA

  1. Visit https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page?useskinversion=2 while logged in.
  2. Hover cursor over "Switch to old look" link in sidebar
  3. Verify that tooltip appears with text that says "Change your settings to go back to the old look of the skin (legacy Vector)"

QA Results - Beta

ACStatusDetails
1T250093#6113774

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2020, 4:00 PM
ovasileva triaged this task as High priority.Apr 13 2020, 4:12 PM
ovasileva updated the task description. (Show Details)
ovasileva set the point value for this task to 2.Apr 13 2020, 5:33 PM

I'd propose to use a simpler language, “legacy Vector” is a jargon, that's not clearly translated (translatable) and we already see this in some translations. Maybe add the year?
“Change your settings to go back to the old look of the skin (Vector 2015)"
Or
“Change your settings to go back to the old look of Vector skin"

I'd propose to use a simpler language, “legacy Vector” is a jargon, that's not clearly translated (translatable) and we already see this in some translations. Maybe add the year?
“Change your settings to go back to the old look of the skin (Vector 2015)"
Or
“Change your settings to go back to the old look of Vector skin"

Legacy vector here since the setting itself is known as "legacy vector" - how about "Suggested text: Change your settings to go back to the old look of the skin (now known as legacy Vector)" - a bit long but it should be fine

Change 594331 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/skins/Vector@master] Add title attribute to opt-out link

https://gerrit.wikimedia.org/r/594331

nray added a comment.May 4 2020, 11:42 PM

The patch for this is ready I'm just not sure I have the right text for the tooltip. @ovasileva @Volker_E did we finalize what the tooltip text should be?

@nray What you did on the patch is a bit shorter works well for me: “Change your settings to go back to the old look of the skin (legacy Vector)”

Jdlrobson reassigned this task from nray to Edtadros.May 5 2020, 5:31 PM
Jdlrobson added a subscriber: nray.

Change 594331 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Add title attribute to opt-out link

https://gerrit.wikimedia.org/r/594331

nray updated the task description. (Show Details)May 5 2020, 6:08 PM
Edtadros reassigned this task from Edtadros to ovasileva.May 6 2020, 5:42 PM
Edtadros added a subscriber: Edtadros.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA steps

Visit https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page?useskinversion=2 while logged in.
Hover cursor over "Switch to old look" link in sidebar
✅ AC1: Verify that tooltip appears with text that says "Change your settings to go back to the old look of the skin (legacy Vector)"

Edtadros updated the task description. (Show Details)May 6 2020, 5:43 PM
Volker_E closed this task as Resolved.May 6 2020, 6:23 PM
Volker_E reassigned this task from ovasileva to nray.